SETUP-TAXDIR(1)

NAME
setup-taxdir.pl - Setup a local mirror of the NCBI Taxonomy (or GTDB) database

VERSION
version 0.212670

USAGE
    setup-taxdir.pl --tax=<dir> [optional arguments]

REQUIRED ARGUMENTS

--taxdir=<dir>
    Path to the directory to be created.

OPTIONAL ARGUMENTS

--source=<str>
    Source database from where to download taxonomy files (either NCBI or GTDB, respectively designated as "ncbi" and "gtdb") [default: ncbi].

--update-cache
    Rebuild the binary cache file ("cachedb.bin") without re-downloading NCBI (or GTDB) Taxonomy files. This is useful to enable custom ".dmp" files (e.g., "misleading.dmp") that were manually added to the directory [default: no].

--gi-mapper
    [Deprecated] Additionally setup optional mapper file associating taxids to GI numbers for all nucleotide and protein sequences stored in GenBank [default: no].

    This file is compiled from two large NCBI archives (1GB and 388 MB as of 12/2014) that can be lengthy to download. Once built, the GI-to-taxid mapper does not occupy a lot of disk space (2 GB as of 12/2014). However, its building process currently requires about 10x more free space.

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.